using System;

namespace Tak
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            for (int i = 0; i < t; i++)
            {
                string[] s = Console.ReadLine().Split();
                long n = int.Parse(s[0]);
                long m = int.Parse(s[1]);
                long k = int.Parse(s[2]);
                if (n % k != 0)
                {
                    if (m >= (k - n % k) * (n / k * (n / k + 1) / 2) + (n % k) * ((n / k + 1) * ((n / k + 1) + 1) / 2))
                    {
                        Console.WriteLine("Tak");
                    }
                    else
                        Console.WriteLine("Nie");
                }
                else if (m >= (n * (n/k + 1)) / 2)
                    Console.WriteLine("Tak");
                else
                    Console.WriteLine("Nie");

            }
        }
    }
}